Subject: [os2genau_digest] No. 1529
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 8 Aug 2007 00:00:24 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 07 August 2007
 Number  1529
**************************************************

Subjects for today
 
1  Re:  Firefox 2006 broken website problem : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 07 Aug 2007 23:12:36 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Firefox 2006 broken website problem

On Mon, 06 Aug 2007 11:17:29 +1000 (EST), Ian Manners wrote:

Hi Ian, and thanks for the previous help.

However, the problem became UN-fixed tonight GRR!

>Other things to try, while Firefox isnt running, all the standard
>things you would do on a reinstall. (backup first)

I made a D:\Moz_Save folder to put things into, and did one thing at a
time.

>
>delete your "MOZILLA_HOME\profile\chrome" directory

Moved it out - no effect

>del MOZILLA_HOME\mozilla\pluginreg.dat

Moved it out - no effect

>del \firefox\components\compreg.dat

Didn't find any there but did find one in
D:\MOZPROFILES\Mozilla\Firefox\Profiles\dx6k4um4.default\compreg.dat

Moved it out to Moz_Save

No difference - pages still crash the browser. Left it there.

>del MOZILLA_HOME\mozilla\Profiles\profile\XUL.mfl

No such file/s... ?

>delete your "MOZILLA_HOME\profile\*.rdf"

No such files ...?

The problem still looked like Flash.

I went to eCS USA site, and clicked on the Flash button (a la FlashBlock)
and bingo - Firefox closed.

So to the Plugins folder, and uninstalled Flash 5 completely.

Re-installed Flash 7 R68.

<Sigh> yes, I did two things at once.

No improvement - news dot com dot au still crashed Firefox out of existence.

My only consolation is that the same thing happens with the Age site -
their Flash movies also crash Firefox.
 
So I test now with eCS USA, which loads a lot faster than the media sites.

I am pleased to have a consistent error - every time I click on the Flash
button, Firefox closes.
 
If I disable FlashBlock, any site with Flash crashes Firefox, including
eCS.

I have uninstalled Flash 5, and uninstalled and then re-installed Flash 7
R68.

I think I have narrowed down the problem to some automatically invoked
Flash function. My logic goes like this:

1. If I whitelist a site in Flashblock, then the rules say "run the Flash"
and the site crashes the browser.

2. If I don't whitelist the site, the Flash buttons appear and as long as I
leave them alone, the site stays up. 

3. But if I click a Flask (blocked) button, then Flash is called, but some
component must be missing and so the browser dies.

4. I have removed all news dot com dot au, all theage dot com dot au and ecomstation dot com
from the Flashblock whitelist.

Now the Herald Sun site doesn't crash the browser, and I see occasional
Flash buttons - as one would expect.

But over at parent news dot com dot au there must be something which Flashblock
doesn't catch, and which fires off Flash, thus killilng the browser.

And likewise at the Age site, as long as I don't try one of their movies
which invokes Flash, I am fine.

5. Now I re-enable the Add-On MediaPlayer Connectivity, and set it to
handle Flash in say d:\gnash\gnash.exe.

On the Age site there is one "Play" button to do with Fashion Week Spring
Fling. This opens a new window and shows the usual Flash "please wait"
circular animation, then kills off both the child window and the whole
browser. I don't even see the MPC icon (a film frame with sprocket holes)
before it crashes everything.

6. When I check MPC Configuration, I scroll down and see a separate but
previously hidden option for playing Shockwave. Selecting that to also use
d:\gnash\gnash.exe gives me some progress.

Now the Fashion Week item launches in the same tab/window and tells me
there is a missing plugin. 

Well, it actually says "additional plugins are required to display all the
media on this page." How very informative - no details on which plugin is
missing, though :-(.

So back to news dot com dot au with the shockwave checked on in MPC. However <sigh>
no change - it still crashes the entire browser. :-(

Now I am not sure if I have made any progress.

What do I need for Flash/Shockwave to play nicely with my system?

 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------